# makefile for DOS/WIN3.1

LDFLAGS = -AH
LD = cl -Fedcalc
CFLAGS = -c -AH 
SRCS = main.cpp lex.cpp dcalc.cpp 
OBJS = main.obj lex.obj dcalc.obj 
YFLAGS = -D -r -n -Cdcalc.cpp -pABXYACC.CPP 

dcalc.exe:$(OBJS)
        $(LD) $(LDFLAGS) $(OBJS) /link

lex.cpp: lex.l ABXLEX.CPP
        pclex -Clex.cpp -pABXLEX.CPP lex.l

dcalc.cpp: dcalc.y ABXYACC.CPP
        pcyacc $(YFLAGS) dcalc.y

.cpp.obj: 
        cl $(CFLAGS) $*.cpp

